#ifndef PLAYER_UPDATE_PACKET_H
#define PLAYER_UPDATE_PACKET_H

#include "common/entities/Entity.h"
#include "network/Packet.h"

struct PlayerUpdatePacket {
    Vector3 position;

    PlayerUpdatePacket(Entity& e);
    PlayerUpdatePacket();

    void write(OutPacket& out) const;
    bool read(InPacket& in);

    static int getSize();
};

#endif